﻿(function ($, window, document) {
    window.nomodal = function (f) {
        var context = this, args;
        var func = function () { /*todo: check if modal open and listen to hidden event*/f.apply(context, args); $(window).off('hidden.bs.modal', func); };
        return function () {
            args = Array.prototype.slice.call(arguments, 0);
            if (!modal || !modal.isOpen()) func();
            else $(window).on('hidden.bs.modal', func);
        }
    }

    window.modal = {
        isOpen: function () {
            return $(document.body).hasClass('modal-open') || $('.modal.in').length > 0;
        },
        close: function () {
            $('.modal.fade.in').modal('hide');
        }
    };

    window.registration = {
        conversation: function (memberid) { },
        position: '',
        isOpen: false,
        alreadyOpened: false,
        working: false,
        id: '',
        spinner: $('<div />').addClass('text-center').append($('<div />').addClass('ico ico-spinner animate-spin gi-2x')),
        init: function () {
            
        },
        close: function () {
            //in the end! - close all open modals
            modal.close();
        },
    };

    window.Validations = {
        regInteger: /^\d+$/,
        regEmail: /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/,
        regEmpty: /\S+/,
        isInteger: function (value) {
            return !Validations.regInteger.test(value)
        },
        isValidEmail: function (value) {
            return Validations.regEmail.test(value)
        },
        isEmpty: function (value) {
            return !Validations.regEmpty.test(value);
        }
    };

    registration.init();
})(jQuery, window, document);