﻿
(function ($, window) {
    $.fn.scrollFold = function (options) {
        if ($(this).length == 0) { this.above = this.below = function () { return this; }; return this; }

        var opts = $.extend({}, $.fn.scrollFold.defaults, options);

        if (opts.off) {
            $(window).off('resize.' + opts.namespace + ' domChanged.' + opts.namespace + ' scroll.' + opts.namespace + ' resize.' + opts.namespace + ' load.' + opts.namespace + ' hidden.bs.modal.' + opts.namespace);
            return this;
        }

        var self = this;
        var top = result(opts.top, self);
        var abovethefold = (top + opts.threshold) < $(window).scrollTop();
        var above_func = function () { };
        var below_func = function () { };
        this.above = function (f) { above_func = opts.once ? once(f, self) : f; return this; };
        this.below = function (f) { below_func = opts.once ? once(f, self) : f; return this; };

        $(window)
            .on('resize.' + opts.namespace + ' domChanged.' + opts.namespace + ' hidden.bs.modal.' + opts.namespace, function () { top = result(opts.top, self); abovethefold = (top + opts.threshold) < $(window).scrollTop(); })
            .on('scroll.' + opts.namespace + ' resize.' + opts.namespace + ' load.' + opts.namespace, (function () {
                if ((opts.threshold + top) < $(window).scrollTop()) {
                    if (abovethefold) below_func();
                    abovethefold = false;
                }
                else {
                    if (!abovethefold) above_func();
                    abovethefold = true;
                }
            }));

        return this;
    };

    $.fn.scrollFold.defaults = {
        namespace: 'scrollFold',
        top: function () { return $(this).offset().top; },
        once: false,
        off: false,
        threshold: 0
    };

    $(window).trigger('ready.scrollFold');
})(jQuery, window);