﻿(function ($, window) {

    window.viewport = {
        get: function () {
            if ('vp' in window)
                return window['vp'];

            if (typeof (vp) != 'undefined' && vp != null) {
                window['vp'] = vp
                return vp;
            }

            return null;
        },
        set: function (vp) {
            var init = !('vp' in window);
            window['vp'] = vp;
            if (init) $(window).trigger('init.viewport', vp);
            else $(window).trigger('change.viewport', vp);
        },
        run: function (func, always) {
            var vp = viewport.get();
            if (vp != null)
                func(vp);
            if (vp == null || always)
                $(window).on('init.viewport' + (always ? ' change.viewport' : ''), function (e, vp) { window.setTimeout(function () { func(vp); }, 150); });
        }
    };

})(jQuery, window);