﻿(function ($) {
    $.fn.fontSize = function () {
        return (arguments.length == 0) ? parseFloat($(this).css("font-size")) : $(this).css("font-size", parseFloat(arguments[0]));
    }
    $.fn.resizeText = function (options) {
        var opts = $.extend({}, $.fn.resizeText.defaults, options);
        var fsize = $(this).fontSize() + parseFloat(opts.step);
        if (fsize < opts.min || fsize > opts.max) return this;
        localStorage.setItem('fsize', fsize);
        return $(this).fontSize(fsize);
    };

    $.fn.resizeText.defaults = {
        step: 1,
        min: 9,
        max: 14,
        cookieDomain: null
    };
}(jQuery));