﻿(function ($, window) {
    $('.toggle-menu').pMenu();
    $('.dropdown-toggle').dropdown();

    $("#search-icon").click(function (e) {
        e.preventDefault();
        $('#search-nav').toggleClass('hidden-xs');
        $('#search-nav .tm-search-text').focus();
    });

    $(document).on('click', '*[data-toggle=modal]', function (e) { e.preventDefault(); $('.modal.fade.in').modal('hide'); $($(this).data('target')).modal($(this).data()); e.stopPropagation(); });
    $('*[data-toggle=modal]').click(function (e) { e.preventDefault(); $('.modal.fade.in').modal('hide'); $($(this).data('target')).modal($(this).data()); e.stopPropagation(); });
    $('a[data-target=popup]').click(function (e) { var w = window.open(this.href, '_blank', $(this).data('popup')); if (w != null) e.preventDefault(); });
    $(document).on('click', '.panel *[data-dismiss=panel]', function (e) { e.preventDefault(); $(this).closest('.panel').remove(); });

    $(window).on('hidden.bs.modal', function (e) {
        $(window).trigger(e.target.id + '-hide');
    });

    //This script prevents links from opening in Mobile Safari. https://gist.github.com/1042026
    (function (a, b, c) { if (c in b && b[c]) { var d, e = a.location, f = /^(a|html)$/i; a.addEventListener("click", function (a) { d = a.target; while (!f.test(d.nodeName)) d = d.parentNode; "href" in d && (d.href.indexOf("http") || ~d.href.indexOf(e.host)) && (a.preventDefault(), e.href = d.href) }, !1) } })(document, window.navigator, "standalone");

    //categories collapse (desktop only) make sure about the window.width that is by the screen-lg size.
    var below = false;
    var $window = $(window);
    $('.tm-menu').scrollFold({ top: 50 })
        .above(function () {
            $('.tm-menu-wrapper').removeClass('tm-menu-hidden');
        })
        .below(function () {
            $('.tm-menu-wrapper').addClass('tm-menu-hidden');
        });

    window.like = function (e) {
        if (e) e.preventDefault();
        if (has_voted) return;

        var $likes = $('.tm-content-likes .tm-content-info-text');
        $('.nav .tm-content-sharemenu-like').remove();
        $('.tm-content-likes').addClass('tm-like-on');
        $.get(app.url + '&a=like&emailid=' + EmailId + '&deviceid=' + app.details().uid, function (data) {
            var count = data.success == 0 ? '1' : data.count;
            $likes.html(count);
            $('*[data-action=like]').addClass('tm-like-on').attr('title', '').find('.tm-icon-text').text(count);
            if (e) {
                $.growl({
                    title: '[=growl_like_title_js]',
                    message: '[=growl_like_body_js]',
                    duration: 8000,
                });
            }
        });
        has_voted = true;
        //stats.save({ t: 'content', likeclick: 1, section: stats.section });
        //think of add :
        //$(document).off('click', 'a[data-action=like]');
    };

    $(document).on('click', 'a[data-action=like]', like);
    //$(document).on('click', 'a[data-action=send],a[rel=share]', function (e) {
    //    if (e) e.preventDefault();
    //    var emailid = $(this).data('emailid') || EmailId;
    //    window.location = '/handlers/sendfriend.ashx?a=mailto&emailid=' + emailid; //can also send the source
    //});

    $(window).on('resize show2.bs.modal changed.modal', function (e) {
        var $dialog = e.type == 'resize' ? $('.modal.fade.in .modal-dialog.center-screen') : $(e.target).find('.modal-dialog.center-screen');
        if ($dialog && $dialog.length > 0) {
            var diff = ($(window).height() - $dialog.height()) / 2 - 10;
            if (diff <= 50) $dialog.css('transform', 'translate(0,0)');
            else $dialog.css('transform', 'translate(0,' + diff + 'px)');
        }

        var $full_height_dialog = e.type == 'resize' ? $('.modal.fade.in .modal-dialog.full-size-modal') : $(e.target).find('.modal-dialog.full-size-modal');
        if ($full_height_dialog && $full_height_dialog.length > 0)
            $full_height_dialog.find('iframe').css('height', ($(window).height() - 68));
    });

    $(document).on('click', 'a.anchor', function (e) {
        var target = $(this).attr('href').replace('#', '');
        $(this).closest('.emailbody').find('a[name="' + target + '"]').recursiveScroll(500);
    });

    $.fn.recursiveScroll = function (interval) {
        var $elm = $(this);
        var old = 0;

        var scroll = function () {
            var now = $elm.offset().top;
            if (old == now) return;
            $(window).scrollTop((old = now));
            window.setTimeout(function () { scroll(); }, interval);
        };
        scroll();

        return $elm;
    };

})(jQuery, window);